%global site_name org.apache.felix.bundlerepository
%global grp_name  felix

Name:             felix-bundlerepository
Version:          1.6.6
Release:          7%{?dist}
Summary:          Bundle repository service
License:          ASL 2.0 and BSD
Group:            Development/Libraries
URL:              http://felix.apache.org/site/apache-felix-osgi-bundle-repository.html

Source0:          http://www.fightrice.com/mirrors/apache/felix/org.apache.felix.bundlerepository-%{version}-source-release.tar.gz
Patch1:           0001-Unbundle-libraries.patch
Patch2:           0002-Add-xpp3-dependency.patch
Patch3:           0003-Make-felix-utils-mandatory-dep.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    felix-shell
BuildRequires:    felix-utils
BuildRequires:    kxml
BuildRequires:    maven
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    woodstox-core
BuildRequires:    xpp3

Requires:         java
Requires:         jpackage-utils
Requires:         felix-shell
Requires:         felix-utils
Requires:         kxml
Requires:         woodstox-core
Requires:         xpp3


%description
Bundle repository service

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
mvn-rpmbuild package javadoc:aggregate

%install
# jars
install -Dpm 644 target/%{site_name}-%{version}.jar %{buildroot}%{_javadir}/%{grp_name}/%{name}.jar

# pom
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap JPP.%{grp_name}-%{name}.pom %{grp_name}/%{name}.jar

%files
%doc LICENSE LICENSE.kxml2 NOTICE DEPENDENCIES
%{_javadir}/%{grp_name}/%{name}.jar
%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE LICENSE.kxml2 NOTICE
%doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6.6-6
- Make felix-utils mandatory dep in pom.xml

* Mon Apr 30 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.6.6-5
- Unbundle libraries
- Add dependency on xpp3
- Include NOTICE in javadoc package
- Resolves #817581

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-3
- osgi.org groupId patch removed (fixed in felix-osgi-* packages)

* Thu Oct 06 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-2
- Depmap removed (not needed anymore)
- woodstox-core-asl renamed to woodstox-core

* Tue Sep 14 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-1
- Initial packaging
